Liaison access - autocad

Soyez le premier à donner votre avis sur cette source.

Snippet vu 16 306 fois - Téléchargée 68 fois

Contenu du snippet

Ce code permet depuis Access de créer une zone de texte dans Autocad, de l'orienter, puis l'imprimer. Au prealable, il faut Ouvrir le Document dans Autocad .... La mon code n'est pas encore assez au point.....

Source / Exemple :


Public AppAutocad As Object
Public VarExtMax As Variant
Public VarExtMin As Variant
Public dblHText As Double
Public dblPt(0 To 2) As Double
Public objtext As Object
Public TextAutocad As String    

Set AppAutocad = GetObject(Adresse)
AppAutocad.Application.Visible = False
VarExtMax = AppAutocad.getvariable("Extmax")
VarExtMin = AppAutocad.getvariable("Extmin")
'Affectation de la hauteur du texte
dblHText = ((VarExtMax(0) - VarExtMin(0))) / 150
'Affectation des coordonnées X,Y,Z du point d'insertion du texte
dblPt(0) = (VarExtMax(0) + 2 * dblHText) - 195
dblPt(1) = (VarExtMin(1)) + 15
dblPt(2) = 1
TextAutocad = Now()
'Insertion du texte dans le dessin
Set objtext = AppAutocad.ModelSpace.AddText(TextAutocad, dblPt, dblHText)
'Rotation du texte de 90°
objtext.Rotation = (4 * Atn(1)) / 2
objtext.Update
'Impression en mode étendu du dessin
AppAutocad.plot.plotextents
AppAutocad.plot.PlotToDevice "Default System Printer"
AppAutocad.SaveAs ("C:\temp\print.dwg")
AppAutocad.Application.Quit
If Dir("C:\temp\print.dwg") <> "" Then
    Kill "C:\temp\print.dwg"
End If
Set objtext = Nothing
Set AppAutocad = Nothing

A voir également

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.